
    // LocationBuilder.cpp
    // Copyright (C) 2013  Giménez, Christian N.

    // This program is free software: you can redistribute it and/or modify
    // it under the terms of the GNU General Public License as published by
    // the Free Software Foundation, either version 3 of the License, or
    // (at your option) any later version.

    // This program is distributed in the hope that it will be useful,
    // but WITHOUT ANY WARRANTY; without even the implied warranty of
    // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    // GNU General Public License for more details.

    // You should have received a copy of the GNU General Public License
    // along with this program.  If not, see <http://www.gnu.org/licenses/>.

    // Miércoles 23 De Enero Del 2013    


#include "LocationBuilder.hpp"

using namespace Loaders;

LocationBuilder::LocationBuilder(){
  location = NULL;
}

LocationBuilder::~LocationBuilder(){
}

Location* LocationBuilder::get_location(){
  return location;
}
  
void LocationBuilder::build_location(string name, string model){
  /*if (location != NULL){
    // TODO: Beware with this... should I delete it???
    delete(location);
    }*/
  
  Message::show("LB", "Creating a location instance...");
  location = new Location(name,model);
}

// void LocationBuilder::build_texture(string texture){
//   if (location){
//     location->setTexturename(texture);
//   }
// }

void LocationBuilder::build_light(string name, float dir[3], float color[3]){
  if (location != NULL){
    location->add_light(name, dir, color);
  }
}

// void LocationBuilder::build_starting(vector3df position){
//   if (location){
//     location->setStart(position);
//   }
// }
