
/*
  Main.cpp
  Copyright (C) 2013  Giménez, Christian N. 
  
  This program is free software: you can redistribute it and/or modify 
  it under the terms of the GNU General Public License as published by 
  the Free Software Foundation, either version 3 of the License, or 
  (at your option) any later version. 
  
  This program is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
  GNU General Public License for more details. 
  
  You should have received a copy of the GNU General Public License 
  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
  
  lunes 14 de enero del 2013    */

#include "TinyOgre.h"

/**
   Main.cpp

   Aquí se encuentra la función main de inicio del programa.
 */

#ifdef __cplusplus
extern "C" {
#endif

  /**
     Cargar e iniciar el programa.
   */
  int main(int argc, char *argv[]){
    // Create application object
    TinyOgre app;
    
    try {
      app.go();
    } catch( Ogre::Exception& e ) {
      std::cerr << "An exception has occured: " <<
	e.getFullDescription().c_str() << std::endl;
    }
    
    return 0;
  }

#ifdef __cplusplus
}
#endif

