
/*
  common-functions.cpp
  Copyright (C) 2013  Giménez, Christian N. 
  
  This program is free software: you can redistribute it and/or modify 
  it under the terms of the GNU General Public License as published by 
  the Free Software Foundation, either version 3 of the License, or 
  (at your option) any later version. 
  
  This program is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
  GNU General Public License for more details. 
  
  You should have received a copy of the GNU General Public License 
  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
  
  domingo 27 de enero del 2013    */

#include "common-functions.hpp"
#include "ctype.h"

using namespace std;

string CommonFuncs::trim(string str){
  //trim beggining

  int beg = 0;
  while (isspace(str[beg])){
    beg++;
  }
  
  //trim ending
  int end = str.length() - 1;  
  while(isspace(str[end])){
    end--;
  }

  string aux = str.substr(beg, end - beg + 1);
  return aux;
}
